# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /aggregate/pynacl-feedstock/recipe, last modified Thu Feb 16 20:03:19 2023
# ------------------------------------------------

package:
  name: pynacl
  version: 1.5.0
source:
  fn: PyNaCl-1.5.0.tar.gz
  patches:
    - 0001-Fix-name-of-static-sodium-lib.patch
  sha256: 8ac7448f09ab85811607bdd21ec2464495ac8b7c66d146bf545b0f08fb9220ba
  url: https://pypi.io/packages/source/P/PyNaCl/PyNaCl-1.5.0.tar.gz
build:
  number: '0'
  string: py311h998d150_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gnuconfig 2021.05.24 hd3eb1b0_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - patch 2.7.6 hfd63f10_1001
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2023.01.10 hd43f75c_0
    - certifi 2022.12.7 py311hd43f75c_0
    - cffi 1.15.1 py311h998d150_3
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.2 h419075a_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libsodium 1.0.18 hfd63f10_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 1.1.1t h2f4d8fa_0
    - pip 22.3.1 py311hd43f75c_0
    - pycparser 2.21 pyhd3eb1b0_0
    - python 3.11.0 h89984f6_2
    - readline 8.2 h998d150_0
    - setuptools 65.5.0 py311hd43f75c_0
    - sqlite 3.40.1 hf533066_0
    - tk 8.6.12 h241ca14_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.10 h998d150_1
    - zlib 1.2.13 h998d150_0
  run:
    - cffi >=1.4.1
    - libgcc-ng >=11.2.0
    - libsodium >=1.0.18,<1.0.19.0a0
    - python >=3.11,<3.12.0a0
    - six
test:
  commands:
    - python -m pip check || true
    - pytest
  imports:
    - nacl
    - nacl.bindings
    - nacl.pwhash
  requires:
    - hypothesis >=3.27.0
    - pip
    - pytest >=3.2.1,!=3.3.0
  source_files:
    - tests/
about:
  description: 'PyNaCl is a Python binding to the Networking and Cryptography library,
    a crypto library with the stated goal of improving usability, security and speed.
    It supports Python 2.7 and 3.3+ as well as PyPy 2.6+.

    '
  dev_url: https://github.com/pyca/pynacl
  doc_url: https://pynacl.readthedocs.io/en/latest/
  home: https://github.com/pyca/pynacl
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: PyNaCl is a Python binding to the Networking and Cryptography library,
    a crypto library with the stated goal of improving usability, security and speed.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - CJ-Wright
